---
- name: Migrate nodes to Cilium
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  gather_facts: true
  pre_tasks:
    - name: Check k8s_kubeconfig
      ansible.builtin.debug:
        var: k8s_kubeconfig
  tasks:

    - name: Migrate to cilium
      ansible.builtin.import_role:
        name: cilium
        tasks_from: migration
  environment:
    KUBECONFIG: "{{ k8s_kubeconfig | default(lookup('ansible.builtin.env', 'KUBECONFIG', default='/etc/kubernetes/admin.conf')) }}"
  tags:
    - cilium_migration
